View Issue Details

IDProjectCategoryView StatusLast Update
0006602mantisbtcustom fieldspublic2012-10-31 04:19
Reportermlovell Assigned Tovboctor  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.0.0rc5 
Summary0006602: Javascript date picker
Description

At our company, I have modified mantis 1.0.0.rc5 to provide a JavaScript "date picker" for the Due Date custom field. This modification causes mantis' typical date selection boxes to be followed with a small image of a calendar.

Clicking on that calendar, a small new window opens in the web browser depicting the current month in the standard layout. The user can click on forward and back buttons to move forward and back in time, either a month or a year at a time. Selecting a particular day causes that window to close and the date to be entered into the form fields.

I have attached my modifications in the .tar.gz file below. The JavaSript code is properly attributed. My modifications to that code were mainly the transfer of the date back to Mantis' form fields. (Unfortunately, the JavaScript calendar code is very focused on providing a date string back to the original form.)

This addition seems like it may be more convenient for date entry than the multiple selection boxes.

TagsNo tags attached.

Relationships

related to 0008957 assignedsyncguru Date Selector for Custom Fields 

Activities

2006-01-18 21:31

 

vboctor

vboctor

2008-07-13 15:44

manager   ~0018462

We now have a date picker as well.

Issue History

Date Modified Username Field Change
2006-01-18 21:31 mlovell New Issue
2006-01-18 21:31 mlovell File Added: date_picker_mantis.tar.gz
2008-07-13 15:44 vboctor Note Added: 0018462
2008-07-13 15:44 vboctor Status @0@ => resolved
2008-07-13 15:44 vboctor Resolution @0@ => fixed
2008-07-13 15:44 vboctor Assigned To => vboctor
2008-10-18 18:34 giallu Status resolved => closed
2012-10-31 04:19 dregad Relationship added related to 0008957